=== debian/watch ===
version=3
https://github.com/cliffordwolf/icestorm/releases /cliffordwolf/icestorm/archive/\w+-(\d\S+)\.tar\.(?:bz2|gz|xz)
