=== debian/changelog ===
fpga-icestorm (0~20160218gitf2b2549-3) unstable; urgency=medium

  * debian/control:
    - Changed dependency on fpga-icestorm-chipdb from "Suggests:" to
      "Recommends:".
  * debian/patches/01_installpath.patch:
    - Fix hard-coded path to chipdb in icetime (Closes: #827176)
  * Updated all other patches such that they can be imported with gbp-pq.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 14 Jun 2016 19:22:54 +0200

fpga-icestorm (0~20160218gitf2b2549-2) unstable; urgency=medium

  [ Daniel Shahaf ]
  * Fixed reproducibility (Closes: 823616) - thanks for the patch!

  [ Ruben Undheim ]
  * debian/control:
    - Updated Standards version to 3.9.8 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 06 May 2016 20:45:23 +0200

fpga-icestorm (0~20160218gitf2b2549-1) unstable; urgency=medium

  [ Sebastian Kuzminsky ]
  * New upstream version
  * debian/man:
    - Added man pages for new commands: icetime and icepll
  * debian/patches:
    - Added patch override-CXX.patch so that the Debian build system decides
      which compiler to use.
    - Refreshed patches
  * debian/rules:
    - Set PREFIX=/usr in override_dh_auto_install

  [ Ruben Undheim ]
  * debian/control:
    - Updated Standards version to 3.9.7
  * Added debian/patches/fix_spelling_in_binaries.patch

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 25 Feb 2016 23:59:47 +0100

fpga-icestorm (0~20151006git103e6fd-3) unstable; urgency=medium

  * Set changelog date to UTC with LC_ALL=C to make man pages reproducible.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 19 Feb 2016 17:46:30 +0100
