=== icepll/Makefile ===
--- 
+++ 
@@ -1,6 +1,10 @@
 include ../config.mk
 LDLIBS = -lm -lstdc++
 CXXFLAGS = -MD -O0 -ggdb -Wall -std=c++11 -I/usr/local/include
+
+ifeq ($(STATIC),1)
+LDFLAGS += -static
+endif
 
 all: icepll$(EXE)
