=== debian/changelog ===
fpga-icestorm (0~20160913git266e758-3) unstable; urgency=medium

  * Addded 'Tag+="uaccess"' to udev rule. Thanks Petter! (Closes: #840380)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 08 Nov 2016 22:45:14 +0100

fpga-icestorm (0~20160913git266e758-2) unstable; urgency=medium

  * debian/patches/0004-Make-the-build-reproducible.patch
    - Another patch for reproducibility from Chris Lamb. Thanks!
      (Closes: #840098)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 09 Oct 2016 00:59:44 +0200

fpga-icestorm (0~20160913git266e758-1) unstable; urgency=low

  * New upstream version
  * debian/man/icebram.txt:
    - New man page for new command
  * debian/patches/03_cxxflags.patch
    - Also do this for the new command

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 18 Sep 2016 12:21:07 +0200
