=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libftdi-dev,
                python3,
                txt2man
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/fpga-icestorm.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fpga-icestorm.git
 Homepage: http://www.clifford.at/icestorm/
@@ -29,8 +29,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          python3
-Recommends: yosys
-Suggests: arachne-pnr, fpga-icestorm-chipdb
+Recommends: yosys, fpga-icestorm-chipdb
+Suggests: arachne-pnr
 Description: Tools to handle the bitstream format of Lattice iCE40 FPGAs
  Project IceStorm aims at documenting the bitstream format of Lattice iCE40
  FPGAs and providing simple tools for analyzing and creating bitstream files. At
