## fpga-icestorm 0~20180809git7e73288

=== debian/changelog ===
fpga-icestorm (0~20180809git7e73288-1) unstable; urgency=medium

  * New upstream GIT HEAD
  * debian/compat: level 11
  * debian/control:
    - Change Maintainer to
        Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
    - debhelper >= 11
    - New standards version 4.2.0 - no changes
    - "pkg-config" added as build-dependency
  * debian/tests/control and debian/tests/can-show-help:
    - Added simple autopkgtest to verify that "iceprog" can be started
      with the help command.
  * debian/upstream/metadata added
  * debian/watch:
    - Update to use git directly since upstream does not currently make regular
      releases

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 17 Aug 2018 13:47:54 +0200

fpga-icestorm (0~20180710git6a1bd78-1) unstable; urgency=low

  * New upstream version - refreshed patches
  * debian/control:
    - New standards version: 4.1.5 - no changes
    - fpga-icestorm-chipdb marked "Multi-Arch: foreign"
    - VCS URLs set to salsa.debian.org
  * debian/at.clifford.icestorm.metainfo.xml:
    - AppStream info for the USB connected device
  * debian/copyright: updates matching new upstream version
  * debian/rules:
    - dpkg-parsechangelog replaced with /usr/share/dpkg/pkg-info.mk

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 13 Jul 2018 23:36:31 +0200
