=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: fpga-icestorm
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Section: electronics
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                libftdi-dev,
                python3,
-               txt2man
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/fpga-icestorm.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fpga-icestorm.git
+               txt2man,
+               pkg-config
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/electronics-team/fpga-icestorm
+Vcs-Git: https://salsa.debian.org/electronics-team/fpga-icestorm.git
 Homepage: http://www.clifford.at/icestorm/
 
 Package: fpga-icestorm-chipdb
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Chip database files for fpga-icestorm
  Project IceStorm aims at documenting the bitstream format of Lattice iCE40
@@ -22,7 +24,6 @@
  devices, but most of the information is device-independent.
  .
  This package contains the chip database files for fpga-icestorm.
- 
 
 Package: fpga-icestorm
 Architecture: any
