## fpga-icestorm 0~20180904git8f61acd

=== icetime/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include ../config.mk
 LDLIBS = -lm -lstdc++
-CXXFLAGS = -MD -O0 -ggdb -Wall -std=c++11 -I/usr/local/include -DPREFIX='"$(PREFIX)"'
+override CXXFLAGS += -DPREFIX='"$(PREFIX)"' -DCHIPDB_SUBDIR='"$(CHIPDB_SUBDIR)"'
 
 ifeq ($(STATIC),1)
 LDFLAGS += -static
@@ -8,8 +8,26 @@
 
 all: icetime$(EXE)
 
+ifeq ($(EXE),.js)
+icetime$(EXE): | share/$(CHIPDB_SUBDIR)/chipdb-384.txt share/$(CHIPDB_SUBDIR)/chipdb-1k.txt share/$(CHIPDB_SUBDIR)/chipdb-8k.txt share/$(CHIPDB_SUBDIR)/chipdb-5k.txt
+
+share/$(CHIPDB_SUBDIR)/chipdb-384.txt: ../icebox/chipdb-384.txt
+	mkdir -p share/$(CHIPDB_SUBDIR)
+	cp $< $@
+share/$(CHIPDB_SUBDIR)/chipdb-1k.txt: ../icebox/chipdb-1k.txt
+	mkdir -p share/$(CHIPDB_SUBDIR)
+	cp $< $@
+share/$(CHIPDB_SUBDIR)/chipdb-8k.txt: ../icebox/chipdb-8k.txt
+	mkdir -p share/$(CHIPDB_SUBDIR)
+	cp $< $@
+share/$(CHIPDB_SUBDIR)/chipdb-5k.txt: ../icebox/chipdb-5k.txt
+	mkdir -p share/$(CHIPDB_SUBDIR)
+	cp $< $@
+override LDFLAGS += --embed-file share
+endif
+
 icetime$(EXE): icetime.o
-	$(CC) -o $@ $(LDFLAGS) $^ $(LDLIBS)
+	$(CXX) -o $@ $(LDFLAGS) $^ $(LDLIBS)
 
 icetime.o: icetime.cc timings.inc
 
@@ -19,10 +37,12 @@
 
 install: all
 	mkdir -p $(DESTDIR)$(PREFIX)/bin
-	cp icetime $(DESTDIR)$(PREFIX)/bin/icetime
+	mkdir -p $(DESTDIR)$(PREFIX)/share/icebox
+	cp icetime$(EXE) $(DESTDIR)$(PREFIX)/bin/icetime$(EXE)
+	cp ../icefuzz/timings_*.txt $(DESTDIR)$(PREFIX)/share/icebox/
 
 uninstall:
-	rm -f $(DESTDIR)$(PREFIX)/bin/icetime
+	rm -f $(DESTDIR)$(PREFIX)/bin/icetime$(EXE)
 
 
 # View timing netlist:
@@ -46,7 +66,7 @@
 show: show0 show1 show2 show3 show4 show5 show6 show7 show8 show9
 
 clean:
-	rm -f icetime icetime.exe timings.inc *.o *.d
+	rm -f icetime$(EXE) icetime.exe timings.inc *.o *.d
 	rm -rf test[0-9]*
 
 -include *.d
