=== debian/changelog ===
fpga-icestorm (0~20180904git8f61acd-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 31 Oct 2018 23:29:27 +0100

fpga-icestorm (0~20180904git8f61acd-1) unstable; urgency=medium

  * New upstream GIT HEAD
  * debian/copyright:
    - Added new copyright holder

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 07 Sep 2018 22:20:22 +0000

fpga-icestorm (0~20180809git7e73288-2) unstable; urgency=medium

  * d/patches/0003-Install-timing-data-also-in-fpga-icestorm-chipdb.patch:
    - Also install timing data from icetime into
      /usr/share/fpga-icestorm/chipdb
  * debian/control:
    - New standards version 4.2.1 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 06 Sep 2018 21:47:27 +0200
