=== iceprog/Makefile ===
--- 
+++ 
@@ -2,11 +2,9 @@
 
 ifneq ($(shell uname -s),Darwin)
   LDLIBS = -L/usr/local/lib -lm
-  CFLAGS = -MD -O0 -ggdb -Wall -std=c99 -I/usr/local/include
 else
   LIBFTDI_NAME = $(shell $(PKG_CONFIG) --exists libftdi1 && echo ftdi1 || echo ftdi)
   LDLIBS = -L/usr/local/lib -l$(LIBFTDI_NAME) -lm
-  CFLAGS = -MD -O0 -ggdb -Wall -std=c99 -I/usr/local/include
 endif
 
 ifeq ($(STATIC),1)
@@ -25,10 +23,10 @@
 
 install: all
 	mkdir -p $(DESTDIR)$(PREFIX)/bin
-	cp iceprog $(DESTDIR)$(PREFIX)/bin/iceprog
+	cp iceprog$(EXE) $(DESTDIR)$(PREFIX)/bin/iceprog$(EXE)
 
 uninstall:
-	rm -f $(DESTDIR)$(PREFIX)/bin/iceprog
+	rm -f $(DESTDIR)$(PREFIX)/bin/iceprog$(EXE)
 
 clean:
 	rm -f iceprog
