=== icetime/Makefile ===
--- 
+++ 
@@ -26,10 +26,11 @@
 override LDFLAGS += --embed-file share
 endif
 
-icetime$(EXE): icetime.o
+icetime$(EXE): icetime.o iceutil.o
 	$(CXX) -o $@ $(LDFLAGS) $^ $(LDLIBS)
 
 icetime.o: icetime.cc timings.inc
+iceutil.o: iceutil.cc
 
 timings.inc: timings.py ../icefuzz/timings_*.txt
 	python3 timings.py > timings.inc.new
