=== examples/icestick/Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
 PROJ = example
+# PROJ = rs232demo
+# PROJ = checker
+
 PIN_DEF = icestick.pcf
 DEVICE = hx1k
 
@@ -16,6 +19,21 @@
 %.rpt: %.asc
 	icetime -d $(DEVICE) -mtr $@ $<
 
+%_tb: %_tb.v %.v
+	iverilog -o $@ $^
+
+%_tb.vcd: %_tb
+	vvp -N $< +vcd=$@
+
+%_syn.v: %.blif
+	yosys -p 'read_blif -wideports $^; write_verilog $@'
+
+%_syntb: %_tb.v %_syn.v
+	iverilog -o $@ $^ `yosys-config --datdir/ice40/cells_sim.v`
+
+%_syntb.vcd: %_syntb
+	vvp -N $< +vcd=$@
+
 prog: $(PROJ).bin
 	iceprog $<
