=== debian/changelog ===
fpga-icestorm (0~20181109git9671b76-1) unstable; urgency=medium

  * New upstream GIT HEAD
  * debian/patches: Refreshed patches

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 20 Dec 2018 11:09:19 +0100
