=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3,
                txt2man,
                pkg-config
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/electronics-team/fpga-icestorm
 Vcs-Git: https://salsa.debian.org/electronics-team/fpga-icestorm.git
 Homepage: http://www.clifford.at/icestorm/
